View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000522Ecere SDKidepublic2010-07-31 21:022013-08-07 03:33
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000522: ide: project settings: additional include dirs problems - .\ cannot be added as a dir
Description .\ cannot be added as a dir
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000304)
redj (administrator)
2010-08-01 17:13
edited on: 2013-05-20 22:52

should PathCat of "." or "./" or ".\" into an empty string yield an empty string or the string that was PathCat'ed?

right now it yields an empty string.

if PathCat behaved differently, maybe this would not be an issue.

(0000395)
redj (administrator)
2010-10-29 07:39

in additional includes
../../../build
becomes
../build

(again, this is a typing manually differing behavior than browsing!)
(0000828)
redj (administrator)
2013-05-07 13:10
edited on: 2013-05-22 23:25

fixed by https://github.com/ecere/sdk/commit/545934b9b3b8ba853998fb97e0e4ebf6d55c51aa [^]


- Issue History
Date Modified Username Field Change
2010-07-31 21:02 redj New Issue
2010-07-31 21:02 redj Relationship added child of 0000429
2010-08-01 17:13 redj Note Added: 0000304
2010-08-03 19:11 redj Status new => assigned
2010-08-03 19:11 redj Assigned To => redj
2010-10-29 07:39 redj Note Added: 0000395
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:44 redj Relationship deleted child of 0000429
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-24 07:16 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 20:27 jerome Assigned To redj =>
2013-04-27 06:08 redj Status assigned => new
2013-04-27 06:31 jerome Status new => assigned
2013-04-27 06:31 jerome Assigned To => redj
2013-05-07 05:50 redj Status assigned => resolved
2013-05-07 05:50 redj Fixed in Version => 0.44.1 64
2013-05-07 05:50 redj Resolution open => fixed
2013-05-07 13:10 redj Note Added: 0000828
2013-05-20 22:52 redj Note Edited: 0000304
2013-05-20 23:05 redj Note Edited: 0000828
2013-05-22 20:19 jerome Status resolved => closed
2013-05-22 23:25 redj Note Edited: 0000828
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker